Skip to main content
`Ctrl`+`K`

# NEPSetDSType

Sets the type of the internal `DS` object based on the current settings of the nonlinear eigensolver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetDSType(NEP nep)

Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Note

This function need not be called explicitly, since it will be called at both `NEPSetFromOptions()` and `NEPSetUp()`.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetFromOptions()`, `NEPSetUp()`

## Level

developer

## Location

src/nep/interface/nepsetup.c

## Implementations

NEPSetDSType_CISS() in src/nep/impls/ciss/nciss.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages